%define kdevelop_ver 4.%(echo %{version} | cut -d. -f2,3)

Summary: PHP documentation plugin for kdevelop
Name: kdevelop4-php-docs
Version: 1.3.1
Release: %mkrel 1
Source0: http://fr2.rpmfind.net/linux/KDE/stable/kdevelop/%{kdevelop_ver}/src/kdevelop-php-docs-%{version}.tar.bz2
License: GPLv2+
Group: Development/Other
Url: http://www.kdevelop.org
BuildRequires: kdelibs4-devel
BuildRequires: kdevplatform4-devel >= 4:%{version}
Requires: kdevelop4-php >= %{version}

%description
This plugin adds PHP documentation-view to KDevelop.

%files -f kdevphpdocs.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kdevphpdocs.so
%_kde_libdir/kde4/kdevphpdocs_config.so
%_kde_datadir/config.kcfg/phpdocssettings.kcfg
%_kde_services/kdevphpdocs.desktop
%_kde_services/kdevphpdocs_config.desktop

#--------------------------------------------------------------------

%prep
%setup -qn kdevelop-php-docs-%{version}

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build

%find_lang kdevphpdocs


%changelog

* Sun Apr 15 2012 fwang <fwang> 1.3.1-1.mga2
+ Revision: 230835
- new version 1.3.1

* Mon Mar 12 2012 fwang <fwang> 1.3.0-1.mga2
+ Revision: 222974
- new version 1.3.0 final

* Sat Feb 25 2012 fwang <fwang> 1.2.90-1.mga2
+ Revision: 214286
- new version 1.2.90

* Tue Feb 14 2012 fwang <fwang> 1.2.82-1.mga2
+ Revision: 208708
- new version 1.2.82

* Tue Jan 24 2012 fwang <fwang> 1.2.81-1.mga2
+ Revision: 200516
- imported package kdevelop4-php-docs

